@import url('https://fonts.googleapis.com/css?family=Nunito:200,200i');
@import url('https://fonts.googleapis.com/css?family=Roboto:300,400,500');
@import url('https://fonts.googleapis.com/css?family=Varela+Round');

/* Global Styles */
body {
    overflow-x: hidden;
    margin: 0;
    font-family: "Varela Round", sans-serif;
    color:white;
}

body::before {
    left:0;
    --size: 45px;
    --line: color-mix(in lch, canvasText, transparent 80%);
    content: '';
    height: 100vh;
    width: 100vw;
    position: fixed;
    background: linear-gradient(
            90deg,
            var(--line) 1px,
            transparent 1px var(--size)
        )
        50% 50% / var(--size) var(--size),
      linear-gradient(var(--line) 1px, transparent 1px var(--size)) 50% 50% /
        var(--size) var(--size);
    mask: linear-gradient(-20deg, transparent 50%, white);
    top: 0;
    transform-style: flat;
    pointer-events: none;
    z-index: -1;
}

html {
    color-scheme: dark;
}

input, textarea {
    padding: 12px;
    border-radius: 8px;
    border: none;
    margin-top: 8px;
    background-color: #333;
    color: white;
}

input.center{
    width: 80%;
    left: 50%;
    position: relative;
    transform: translate(-50%);
}

.hero {
    display: block;
    padding: 16px;
    position: fixed;
    width: 100%;
    height: 100vh;
    gap: 64px;
}
.hero-content {
    width: 60%;
}
.add-tool-button {
  height: 24px;
  width: 24px;
  position: absolute;
  right: 34px;
  transform: translate(0, -32px);
  border-radius: 5px;
  padding: 0;
  text-align: center;
}
.tool-name{
  display: inline-block;
  margin: 8px;
}
.tool-item{
  margin-bottom: 8px;
}
ul.box {
  padding-bottom: 0;
}

.hero .subtitle{
  margin: 0;
  text-align: left;
}
.gradient-text {
  margin: 0;
  text-align: center;
  background: linear-gradient(45deg, #3a5a40, #0F2A44 90%, #0F2A44 100%); 
  filter: brightness(1.2);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.scene .gradient-text {
  filter: brightness(1.7);
}
.scene h3 {
  font-size: 24px;
}
.scene > .box {
  max-width: 420px;
  margin: auto;
  min-height: 486px;
  padding: 16px;
}
.scene input:not(#enable-feature), select {
  width: 100%;
  margin: 4px 0;
  display: block;
}
.scene {
  justify-content: center;
  align-items: center;
  width: 95%;
  margin: 16px;
  border-radius: 16px;
  margin-bottom: 128px;
}
.hero-text {
    color: white !important;
    font-size: 50px;
    font-family: "Varela Round", sans-serif;
    display: inline-block;
    position: relative;
    z-index: 10;
    text-align: left;
}
.run-card {
  background: radial-gradient(ellipse at right top, #0F52BAed 0%, #0F52BA10 47%, #0F52BA10 100%);
  max-height: min-content;
  display: block;
  position: absolute;
  right: 32px;
  top: 64px;
  border-radius: 16px;
  padding: 32px;
  min-height: 50vh;
}

.run-card::before {
  position: absolute;
  content: "";
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  border-radius: 16px;
  z-index: -1;
  border: 0.155rem solid transparent;
  -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: destination-out;
  mask-composite: exclude;
  background: linear-gradient(45deg, #0F52BA10, #0F52BA10, #0F52BA10, #0F52BA10, #0366A1) border-box;
}

.owner-text{
  color: #333;
}
.hero-vid{
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: fixed;
  top: 0;
  left: 0;
  z-index: -1;
  filter: brightness(0.5) contrast(3.5);
}
.sub-hero-text:not(.scroll-help) {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.scroll-help svg{
  animation: jiggleUpDown 1.5s infinite;
}
@keyframes jiggleUpDown {
  0% {
    transform: translateY(0);
  }
  25% {
    transform: translateY(-5px);
  }
  50% {
    transform: translateY(0);
  }
  100% {
    transform: translateY(0);
  }
}
.content video{
  width: 90%;
  max-height: 50vh;
  display: block;
  filter: brightness(0.9) invert(3.5) blur(4px);
  border-radius: 8px;
  margin: auto;
  margin-bottom: 64px;
}
.content video:nth-child(1){
  filter: brightness(0.45) contrast(3.5) blur(4px);
}
.hero{
  text-align: center;
}
.hero-text svg {
    transform: translateY(-4px);
    display: inline;
    vertical-align: middle;
    background-color: transparent;
}

.content {
    color: white;
    display: none;
    font-family: "Varela Round";
    text-align: center;
}
#docs-modal .modal-content {
  width: 90%;
  overflow: auto;
  height: 90vh;
}
.docs-table td, .docs-table th {
  padding: 6px;
}
.buy-credits {
  height: unset;
  font-size: 10px;
  padding: 4px;
  border-radius: 6px;
  margin-left: 4px !important;
}
select {
    padding: 10px;
    margin-bottom: 10px;
    border-radius: 8px;
    border: none;
    background: #333;
    color: white;
}
button {
    background: linear-gradient(
        to bottom,
        #ffffff 0%,
        #ffffff 4%,
        #fafafa 5%,
        #f1f1f1 18%,
        #e4e4e4 45%,
        #d0d0d0 100%
    );
    color: #000;
    border: none;
    padding: 0.5rem;
    font-family: 'Averia Serif Libre', serif;
    font-size: 0.8rem;
    font-weight: 400;
    cursor: pointer;
    transition: opacity 0.3s ease;
    border-radius: 8px;
    margin-top: 1rem;
    box-shadow: inset 0 1px 0 rgba(255,255,255,.95),
    inset 0 2px 8px rgba(255,255,255,.35);
}
button:hover{
    opacity: 0.8;
}
button.small {
    padding: 0.5rem;
}
button.full-width {
    width: 100%;
}
.cta-login button{
    margin: -2px;
}
.btn-green{
    background: #3a5a40;
    color: white;
}
.btn-blue{
    background: #0F2A44;
    color: white;
}
.btn-blue:hover{
    background: #0F2A44;
}

.btn-green:hover{
    background: #2a4a30;
}


#playgroundModal .modal-content {
    width: 70%;
    overflow: auto;
    min-height: 70vh;
    
}

.endpointUrl:hover {
    overflow: auto;
}

.getstarted {
    position: relative;
    z-index: 100;
}
.copy-btn {
  height: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  border-radius: 4px;
  margin-left: 4px;
}
.copy-btn:hover {
  background: rgba(255, 255, 255, 0.15);
}

.box{
    border: 1px solid rgba(255,255,255,0.2);
    border-radius: 8px;
    white-space: nowrap;
    overflow: hidden;
    padding: 8px
}
.box:hover{
    overflow: auto;
}

.alpha-box {
  animation: jiggle 0.5s ease-in-out infinite;
  width: 50%;
  white-space: normal;
  position: fixed;
  bottom: 16px;
  right: 16px;
  background: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(4px);
  border-radius: 8px;
}
.alpha-box h1 {
  font-size: 24px;
}
.alpha-box p {
  font-size: 12px;
}
.alpha-box input{
  width: 90%;
}
@keyframes jiggle {
  0% { transform: translateX(0); }
  25% { transform: translateX(-10px); }
  50% { transform: translateX(10px); }
  75% { transform: translateX(-10px); }
  100% { transform: translateX(0); }
}





.navbar {
    position: fixed;
    top: -36px;
    background: radial-gradient(circle at -62% 18%, rgb(58, 90, 64), rgba(6, 106, 178, 0.05));
    backdrop-filter: blur(8px);
    width: calc(100% - 32px);
    height: 36px;
    z-index: 1000;
    left: 50%;
    transform: translate(-50%, 0);
    max-width: 500px;
    border-radius: 18px;
}

.cta-login {
    float: right;
    padding: 4px;
    padding-right: 24px;
}
.ask-ai-input {
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
}

.top-right {
    position: fixed;
    top: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
    padding: 2px 2px 4px 4px;
    border-radius: 0 0 0 12px;
}

.login-modal {
    color: white;
    display: none;
    position: fixed;
    width: 64%  !important;
    height: 75vh !important;
    background-color: rgba(60, 60, 60, 0.5);
    border: 0.1px solid #646464;
    backdrop-filter: blur(4px);
    border-radius: 16px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.tryforfree{
    display: flex; align-items: center; left: 50%; position: absolute; transform: translate(-50%);
}

.password {
    margin-top: 0px;
    display: none;
}


button:active {
    scale: 0.95
}



.backbtn {
    background: #066ab2;
    color: white;
    display: none;
}

.backbtn:hover {
    background: #05528A;
}

.pill.green {
  background: #3a5a40;
  color: white;
  padding: 4px 6px;
  border-radius: 16px;
  border: 1px solid rgba(255,255,255,0.2);
  font-size: 10px;
  transform: translate(0px, -1px);
  display: inline-block;
  margin-left: 2px;
}

.pill.blue {
  background: #0F2A44;
  color: white;
  padding: 4px 6px;
  border-radius: 16px;
  border: 1px solid rgba(255,255,255,0.2);
  font-size: 10px;
  transform: translate(0px, -1px);
  display: inline-block;
  margin-left: 2px;
}

.type-card.selected {
    border: 2px solid #3a5a40;
}
.type-card.box{
  margin: 2px;
}
#tool-description, #tool-name{
  display: block;
}
.btncontainer {
    margin-top: 48px;
    position: relative;
    display: inline-block;
    width: 100%;
}

.btncontainer button {
    margin: 0 auto;
}

.btn-close {
    position: absolute;
    right: 8px;
    top: 8px;
    width: 32px;
    height: 32px;
    padding: 0;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
  }

  .modal-content {
    background-color: rgba(255, 255, 255, 0.1);
    top: 50%;
    position: absolute;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    padding: 20px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 10px;
    width: 40%;
    backdrop-filter: blur(10px);
  }

  #codeModal .box {
    height: 300px;
    white-space: pre;
    overflow: auto;
}
.loader {
    height: 16px;
    width: 16px;
    border: 2px solid transparent;
    border-bottom: 2px solid white;
    border-radius: 32px;
    animation: spin 0.5s linear infinite;
    margin: auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }

}

.login-modal h1 {
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    margin-bottom: -20
}
.brand.gradient.text{
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.gradient.teal {
    background: #107E7D;
    background: -webkit-linear-gradient(#28E2DF, #0C5A59);
}

.gradient.blue {
    background: #066AB1;
    background: -webkit-linear-gradient(#89CBFB, #05528A);

}

.gradient.blue.extra {
    background: #066AB1;
    background: -webkit-linear-gradient(#C4E5FD, #05528A);
}

.gradient.red {
    margin-top: 0;
    background: #971A0C;
    background: -webkit-linear-gradient(#F6877B, #711409);
}
.gradient.gray {
  margin-top: 0;
  background: #971A0C;
  background: -webkit-linear-gradient(#eee, #3f3f3f);
}

h2 {
    font-size: 32px;
}
#availibleToolsList{
  height: 50vh;
}

.content td h2 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.subtitle {
    font-size: 14px;
    background: -webkit-linear-gradient(#eee, #3f3f3f);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.subtitle::after,
.subtitle::before {
    content: '';
    width: 64px;
    height: 1px;
    display: inline-block;
}

.subtitle::before {

    transform: translate(-8px, -4px);
    background: linear-gradient(-90deg, #aaa 0%, transparent 100%);
    right: 120%;
    top: 50%;
}

.subtitle::after {
    transform: translate(8px, -4px);
    background: linear-gradient(90deg, #aaa 0%, transparent 100%);
    left: 120%;
    top: 50%;
}

h1.gray.tw-heading {
    font-size: 48px;
    background: -webkit-linear-gradient(#eee, #333);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.spacer-240 {
    height: 240px;
}

.gen-card {
    width: calc(25% - 14px);
    margin: 0 4px;
    display: inline-block;
    height: 360;
    background: transparent;
    backdrop-filter: blur(4px);
    opacity: 0;
    border-radius: 16px;
    text-align: center;
    padding: 12px;
    border: 1px solid #555
}

.gen-card h2 {
    margin: 0;
}

.fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 200px;
}
.generatebox h2{
    font-size: 36px;
    margin: 8px;
    text-align: left;

}

.generatebox{
    position: fixed;
    top: 72px;
    left: 64px;
    opacity: 0;
    filter: blur(32px)
}
.details{
  width: 60%
}
.details svg {
  transform: translate(0px, 2px);
}
.gb-card {
    position: fixed;
    bottom: 32px;
    right: 32px;
    display: inline-block;
    height: 400px;
    border-radius: 0;
    width: calc(100% - 430px);
    text-align: center;
    padding: 12px;
    border: 1px solid #444444;
    font-size: 24px;
    opacity: 0;
    filter: blur(32px);
    border-radius: 16px;
}
.data-wash{
    text-align: center;
    opacity: 0;
    filter: blur(32px);
    position: fixed;
    top:200px;
    width: 100%
}
.end{
    text-align: center;
    opacity: 0;
    filter: blur(32px);
    position: fixed;
    top:200px;
    width: 100%
}

div.navitems{
    margin-top: -80px;
    margin-left: 16px;
}

span.navitem{
    color: #bbb
}
span.navitem:hover{
    color: #fff
}

.disclaimer-box{
    white-space: normal;
}

.answer{
  max-width: 60%;
  margin: auto;
  padding: 32px;
  filter: brightness(2);
  font-size: 24px;
  font-weight: bold;
  
}

@import url('https://unpkg.com/normalize.css') layer(normalize);

@layer normalize, base, demo;

@layer demo {
  :root {
    --bg: light-dark(white, black);
    --bd-top: light-dark(hsl(0 0% 90%), hsl(0 0% 50%));
    --bd-bottom: light-dark(hsl(0 0% 40% / 0.5), black);
    --color: light-dark(hsl(0 0% 10%), hsl(0 0% 90%));
    --tip: light-dark(
      color-mix(in hsl, var(--bg), canvasText 5%),
      color-mix(in hsl, var(--bg), canvasText 25%)
    );
  }
  .nav li {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: grid;
    place-items: center;
    position: relative;

    &::after {
      content: '';
      position: absolute;
      inset: -1px 0;
    }
  }
  .nav:hover{
    border: 1px solid #3a5a40;
      background: #162b1a;
  }
  body .nav {
    background: black;
    border: 1px solid rgba(255, 255, 255, 0.2);
    height: 42px;
    color: var(--color);
    box-shadow: 0 4px 8px 0 hsl(0 0% 0% / 0.2);
    position: fixed;
    bottom: 3rem;
    left: 50%;
    translate: -50% 0;
    
    border-radius: 22px;
    

    transition: background 0.5s;
  }
  .nav ul {
    display: flex;
    padding: 0;
    margin: 0;
    list-style-type: none;
  }
  li svg {
    width: 24px;
  }

  /* Positioning stuff */
  .nav {
    anchor-name: --nav;
  }
  .tip {
    position: fixed;
    position-anchor: --nav;
    color: var(--color);
    font-size: 0.875rem;
    border-radius: 100px;
    width: 100px;
    pointer-events: none;
    overflow: hidden;
    background: #263b2a;
    border: 1px solid #3a5a40;
    height: var(--tip-height);
    z-index: 999999999;
  }

  .x {
    width: 18px;
  }

  [data-debug='true'] .tip {
    overflow: visible;

    .tip__track {
      outline: 1px dashed orange;
      outline-offset: 1px;
    }

    .tip__track div {
      opacity: 1;
      outline: 1px dashed red;
    }
  }

  .tip__track {
    display: grid;
    height: 2rem;
  }

  [data-flow='horizontal'] .tip,
  [data-flow='auto'][data-orientation='horizontal'] .tip {
    .tip__track {
      grid-auto-flow: column;
      grid-auto-columns: 100%;
    }
  }

  .tip__track div {
    height: 2rem;
    padding-inline: 0.5rem;
    display: grid;
    place-items: center;
  }
  
  [data-locked='true'][data-orientation='horizontal'] {
    .tip {
      left: anchor(left);
      bottom: calc(anchor(top) + 1rem);
      translate: 21px 0;
    }
  }
  [data-locked='true'][data-orientation='vertical'] {
    .tip {
      left: calc(anchor(right) + 1rem);
      bottom: unset;
      top: anchor(top);
      translate: 0 21px;
    }
  }

  [data-locked='false'][data-orientation='horizontal'] .tip {
    left: anchor(left);
    bottom: calc(anchor(top) + 1rem);
    translate: calc(-164% + (var(--tip-x) * 1px)) calc(var(--tip-y) * 1px + -50%);
  }

  [data-locked='false'][data-orientation='vertical'] .tip {
    left: calc(anchor(right) + 1rem);
    top: anchor(top);
    bottom: unset;
    translate: calc(-1rem + (var(--tip-x) * 1px))
      calc(var(--tip-y) * 1px + -50%);
  }

  [data-orientation='vertical'] {
    nav {
      width: 42px;
      height: fit-content;
      margin-left: 0;

      ul {
        flex-direction: column;
      }
    }
  }

  /* :has() hovering stuff */
  :root:has(nav li:nth-of-type(1):is(:hover, :focus-within)) {
    --active: 1;
    .tip__track div:nth-of-type(1) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(2):is(:hover, :focus-within)) {
    --active: 2;
    .tip__track div:nth-of-type(2) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(3):is(:hover, :focus-within)) {
    --active: 3;
    .tip__track div:nth-of-type(3) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(4):is(:hover, :focus-within)) {
    --active: 4;
    .tip__track div:nth-of-type(4) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(5):is(:hover, :focus-within)) {
    --active: 5;

    .tip__track div:nth-of-type(5) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(6):is(:hover, :focus-within)) {
    --active: 6;

    .tip__track div:nth-of-type(6) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(7):is(:hover, :focus-within)) {
    --active: 7;

    .tip__track div:nth-of-type(7) {
      --shown: 7;
    }
  }
  :root:has(nav li:nth-of-type(8):is(:hover, :focus-within)) {
    --active: 8;

    .tip__track div:nth-of-type(8) {
      --shown: 1;
    }
  }
  :root:has(nav li:nth-of-type(9):is(:hover, :focus-within)) {
    --active: 9;

    .tip__track div:nth-of-type(9) {
      --shown: 1;
    }
  }

  .tip {
    scale: var(--show, 0);
    filter: blur(calc(var(--blur, 0) * 1px));
    transition: scale calc(var(--speed) * 1s) ease,
      filter calc(var(--speed) * 1s) ease;
  }

  [data-flow='horizontal'] .tip__track,
  [data-flow='auto'][data-orientation='horizontal'] .tip__track {
    translate: calc((var(--active) - 1) * (-100%)) 0;
  }
  [data-flow='vertical'] .tip__track,
  [data-flow='auto'][data-orientation='vertical'] .tip__track {
    translate: 0 calc((var(--active) - 1) * -2rem);
  }

  .tip__track {
    transition: translate calc(var(--speed) * 1s) calc(var(--speed) * 1s)
      ease;
  }

  .tip__track div {
    filter: blur(calc((var(--blur, 0) * 1px) * (1 - var(--shown, 0))));
    opacity: var(--shown, 0);
    transition: filter calc(var(--speed) * 1s) ease,
      opacity calc(var(--speed) * 1s) ease;
  }

  :root:has(.nav ul:is(:hover, :focus-within)) {
    .tip {
      --show: 1;
      filter: blur(0);
    }
    .tip__track {
      transition-delay: 0s;
    }
  }
}

@layer base {
  :root {
    --font-size-min: 16;
    --font-size-max: 20;
    --font-ratio-min: 1.2;
    --font-ratio-max: 1.33;
    --font-width-min: 375;
    --font-width-max: 1500;
  }

  html {
    color-scheme: light dark;
  }

  [data-theme='light'] {
    color-scheme: light only;
  }

  [data-theme='dark'] {
    color-scheme: dark only;
  }

  :where(.fluid) {
    --fluid-min: calc(
      var(--font-size-min) * pow(var(--font-ratio-min), var(--font-level, 0))
    );
    --fluid-max: calc(
      var(--font-size-max) * pow(var(--font-ratio-max), var(--font-level, 0))
    );
    --fluid-preferred: calc(
      (var(--fluid-max) - var(--fluid-min)) /
        (var(--font-width-max) - var(--font-width-min))
    );
    --fluid-type: clamp(
      (var(--fluid-min) / 16) * 1rem,
      ((var(--fluid-min) / 16) * 1rem) -
        (((var(--fluid-preferred) * var(--font-width-min)) / 16) * 1rem) +
        (var(--fluid-preferred) * var(--variable-unit, 100vi)),
      (var(--fluid-max) / 16) * 1rem
    );
    font-size: var(--fluid-type);
  }

  *,
  *:after,
  *:before {
    box-sizing: border-box;
  }


  :where(.x-link, .bear-link):is(:hover, :focus-visible) {
    opacity: 1;
  }

  /* Utilities */
  .sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border-width: 0;
  }
}

.mini{
  color: white;
  font-size: 9px;
  margin: 0
}


.toast.failed {
  background: rgba(107, 0, 21, 0.5);
  border: 1px solid rgba(107, 0, 21, 1);
  padding: 8px;
  border-radius: 8px;
  animation: slidein 1s;
  position: absolute;
  top: 16px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
}
.toast.bi {
  margin-left: 16px;
  transform: translate(0px, 2px);
}
.toast.hidden{
  display: none;
}

@keyframes slidein {
  from {
    top: -100px;
  }
  to {
    top:16px
  }
}
